<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
        xmlns="http://purl.oclc.org/dsdl/schematron"
        xmlns:skos="http://www.w3.org/2004/02/skos/core#"
        xmlns:owl="http://www.w3.org/2002/07/owl#"
        schemaVersion="2">
   <ns uri="http://www.geostandaarden.nl/imgeo/2.0/stuf-imgeo" prefix="geostuf"/>
   <ns uri="http://www.egem.nl/StUF/StUF0301" prefix="StUF"/>
   <ns uri="http://www.opengis.net/gml" prefix="gml"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <!-- version 1. 
      Codelist validatie voor IMGeo 2.0 GeoStUF 1.0. -->
   <pattern>
      <rule context="geostuf:object[@StUF:entiteittype='FUG']/geostuf:type">
         <let name="codelisturi"
              value="'http://www.geostandaarden.nl/imgeo/2.0#TypeFunctioneelGebied'"/>
         <assert test="normalize-space(@codeSpace)">
                    codeSpace attribuut moet ingevuld zijn bij [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]. 
                </assert>
         <assert test="normalize-space(@codeSpace) = $codelisturi">
                    [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]: IMGeo waardenlijst is niet gebruikt voor TypeFunctioneelGebied. Codelijst validatie wordt niet uitgevoerd voor dit veld. 
                </assert>
         <assert test="normalize-space(@codeSpace) != $codelisturi or (normalize-space(@codeSpace) = $codelisturi and normalize-space(.) = 'kering' or normalize-space(.) = 'bedrijvigheid' or normalize-space(.) = 'natuur en landschap' or normalize-space(.) = 'landbouw' or normalize-space(.) = 'bewoning' or normalize-space(.) = 'infrastructuur verkeer en vervoer' or normalize-space(.) = 'infrastructuur waterstaatswerken' or normalize-space(.) = 'waterbergingsgebied' or normalize-space(.) = 'maatschappelijke en/of publieksvoorziening' or normalize-space(.) = 'recreatie' or normalize-space(.) = 'begraafplaats' or normalize-space(.) = 'functioneel beheer' or normalize-space(.) = 'recreatie: speeltuin' or normalize-space(.) = 'recreatie: park' or normalize-space(.) = 'recreatie: sportterrein' or normalize-space(.) = 'recreatie: camping' or normalize-space(.) = 'recreatie: bungalowpark' or normalize-space(.) = 'recreatie: volkstuin' or normalize-space(.) = 'functioneel beheer: hondenuitlaatplaats')">[<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]:  waarde moet voorkomen in TypeFunctioneelGebied.</assert>
      </rule>
   </pattern>
   <pattern>
      <rule context="geostuf:object[@StUF:entiteittype='PBP']/geostuf:inwinningsmethode">
         <let name="codelisturi"
              value="'http://www.geostandaarden.nl/imgeo/2.0#Inwinningsmethode'"/>
         <assert test="normalize-space(@codeSpace)">
                    codeSpace attribuut moet ingevuld zijn bij [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>].
                </assert>
         <assert test="normalize-space(@codeSpace) = $codelisturi">
                    [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]: IMGeo waardenlijst is niet gebruikt voor Inwinningsmethode. Codelijst validatie wordt niet uitgevoerd voor dit veld. 
                </assert>
         <assert test="normalize-space(@codeSpace) != $codelisturi or (normalize-space(@codeSpace) = $codelisturi and normalize-space(.) = 'terrestrisch' or normalize-space(.) = 'laser' or normalize-space(.) = 'fotogrammetisch' or normalize-space(.) = 'panoramabeelden' or normalize-space(.) = 'digitaliseren' or normalize-space(.) = 'scannen' or normalize-space(.) = 'bouwtekening' or normalize-space(.) = 'geconstrueerd' or normalize-space(.) = 'transitie')">[<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]:  waarde moet voorkomen in Inwinningsmethode.</assert>
      </rule>
   </pattern>
   <pattern>
      <rule context="geostuf:object[@StUF:entiteittype='WTD' or @StUF:entiteittype='WTV']/geostuf:class">
         <let name="codelisturi" value="'http://www.geostandaarden.nl/imgeo/2.0#TypeWater'"/>
         <assert test="normalize-space(@codeSpace)">
                    codeSpace attribuut moet ingevuld zijn bij [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>].
                </assert>
         <assert test="normalize-space(@codeSpace) = $codelisturi">
                    [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]: IMGeo waardenlijst is niet gebruikt voor TypeWater. Codelijst validatie wordt niet uitgevoerd voor dit veld. 
                </assert>
         <assert test="normalize-space(@codeSpace) != $codelisturi or (normalize-space(@codeSpace) = $codelisturi and normalize-space(.) = 'zee' or normalize-space(.) = 'waterloop' or normalize-space(.) = 'watervlakte' or normalize-space(.) = 'greppel, droge sloot' or normalize-space(.) = 'waterloop: rivier' or normalize-space(.) = 'waterloop: sloot' or normalize-space(.) = 'waterloop: kanaal' or normalize-space(.) = 'waterloop: beek' or normalize-space(.) = 'waterloop: gracht' or normalize-space(.) = 'waterloop: bron' or normalize-space(.) = 'watervlakte: haven' or normalize-space(.) = 'watervlakte: meer, plas, ven, vijver' or normalize-space(.) = 'transitie')">[<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]:  waarde moet voorkomen in TypeWater.</assert>
      </rule>
   </pattern>
   <pattern>
      <rule context="geostuf:object[@StUF:entiteittype='OBD']/geostuf:function">
         <let name="codelisturi"
              value="'http://www.geostandaarden.nl/imgeo/2.0#TypeOverbruggingsdeel'"/>
         <assert test="normalize-space(@codeSpace)">
                    codeSpace attribuut moet ingevuld zijn bij [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>].
                </assert>
         <assert test="normalize-space(@codeSpace) = $codelisturi">
                    [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]: IMGeo waardenlijst is niet gebruikt voor TypeOverbruggingsdeel. Codelijst validatie wordt niet uitgevoerd voor dit veld. 
                </assert>
         <assert test="normalize-space(@codeSpace) != $codelisturi or (normalize-space(@codeSpace) = $codelisturi and normalize-space(.) = 'dek' or normalize-space(.) = 'landhoofd' or normalize-space(.) = 'pijler' or normalize-space(.) = 'sloof' or normalize-space(.) = 'pyloon')">[<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]:  waarde moet voorkomen in TypeOverbruggingsdeel.</assert>
      </rule>
   </pattern>
   <pattern>
      <rule context="geostuf:object[@StUF:entiteittype='SNS']/geostuf:function">
         <let name="codelisturi" value="'http://www.geostandaarden.nl/imgeo/2.0#TypeSensor'"/>
         <assert test="normalize-space(@codeSpace)">
                    codeSpace attribuut moet ingevuld zijn bij [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>].
                </assert>
         <assert test="normalize-space(@codeSpace) = $codelisturi">
                    [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]: IMGeo waardenlijst is niet gebruikt voor TypeSensor. Codelijst validatie wordt niet uitgevoerd voor dit veld. 
                </assert>
         <assert test="normalize-space(@codeSpace) != $codelisturi or (normalize-space(@codeSpace) = $codelisturi and normalize-space(.) = 'camera' or normalize-space(.) = 'peilbuis' or normalize-space(.) = 'hoogtedetectieapparaat' or normalize-space(.) = 'detectielus' or normalize-space(.) = 'weerstation' or normalize-space(.) = 'flitser' or normalize-space(.) = 'waterstandmeter' or normalize-space(.) = 'windmeter' or normalize-space(.) = 'lichtcel' or normalize-space(.) = 'GMS sensor' or normalize-space(.) = 'radar detector' or normalize-space(.) = 'debietmeter')">[<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]:  waarde moet voorkomen in TypeSensor.</assert>
      </rule>
   </pattern>
   <pattern>
      <rule context="geostuf:object[@StUF:entiteittype='PAL']/geostuf:function">
         <let name="codelisturi" value="'http://www.geostandaarden.nl/imgeo/2.0#TypePaal'"/>
         <assert test="normalize-space(@codeSpace)">
                    codeSpace attribuut moet ingevuld zijn bij [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>].
                </assert>
         <assert test="normalize-space(@codeSpace) = $codelisturi">
                    [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]: IMGeo waardenlijst is niet gebruikt voor TypePaal. Codelijst validatie wordt niet uitgevoerd voor dit veld. 
                </assert>
         <assert test="normalize-space(@codeSpace) != $codelisturi or (normalize-space(@codeSpace) = $codelisturi and normalize-space(.) = 'lichtmast' or normalize-space(.) = 'telpaal' or normalize-space(.) = 'portaal' or normalize-space(.) = 'verkeersregelinstallatiepaal' or normalize-space(.) = 'verkeersbordpaal' or normalize-space(.) = 'poller' or normalize-space(.) = 'haltepaal' or normalize-space(.) = 'vlaggenmast' or normalize-space(.) = 'afsluitpaal' or normalize-space(.) = 'praatpaal' or normalize-space(.) = 'hectometerpaal' or normalize-space(.) = 'dijkpaal' or normalize-space(.) = 'drukknoppaal' or normalize-space(.) = 'grensmarkering' or normalize-space(.) = 'sirene')">[<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]:  waarde moet voorkomen in TypePaal.</assert>
      </rule>
   </pattern>
   <pattern>
      <rule context="geostuf:object[@StUF:entiteittype='WGD' or @StUF:entiteittype='WGV']/geostuf:function">
         <let name="codelisturi" value="'http://www.geostandaarden.nl/imgeo/2.0#FunctieWeg'"/>
         <assert test="normalize-space(@codeSpace)">
                    codeSpace attribuut moet ingevuld zijn bij [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>].
                </assert>
         <assert test="normalize-space(@codeSpace) = $codelisturi">
                    [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]: IMGeo waardenlijst is niet gebruikt voor FunctieWeg. Codelijst validatie wordt niet uitgevoerd voor dit veld. 
                </assert>
         <assert test="normalize-space(@codeSpace) != $codelisturi or (normalize-space(@codeSpace) = $codelisturi and normalize-space(.) = 'OV-baan' or normalize-space(.) = 'overweg' or normalize-space(.) = 'spoorbaan' or normalize-space(.) = 'parkeervlak: carpoolplaats' or normalize-space(.) = 'baan voor vliegverkeer' or normalize-space(.) = 'rijbaan autosnelweg' or normalize-space(.) = 'rijbaan autoweg' or normalize-space(.) = 'rijbaan regionale weg' or normalize-space(.) = 'rijbaan lokale weg' or normalize-space(.) = 'fietspad' or normalize-space(.) = 'voetpad' or normalize-space(.) = 'voetpad op trap' or normalize-space(.) = 'ruiterpad' or normalize-space(.) = 'parkeervlak' or normalize-space(.) = 'voetgangersgebied' or normalize-space(.) = 'inrit' or normalize-space(.) = 'woonerf' or normalize-space(.) = 'transitie' or normalize-space(.) = 'OV-baan: bushalte' or normalize-space(.) = 'rijbaan regionale weg: verkeersdrempel' or normalize-space(.) = 'rijbaan lokale weg: verkeersdrempel' or normalize-space(.) = 'rijbaan: molgoot')">[<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]:  waarde moet voorkomen in FunctieWeg.</assert>
      </rule>
   </pattern>
   <pattern>
      <rule context="geostuf:object[@StUF:entiteittype='PUT']/geostuf:function">
         <let name="codelisturi" value="'http://www.geostandaarden.nl/imgeo/2.0#TypePut'"/>
         <assert test="normalize-space(@codeSpace)">
                    codeSpace attribuut moet ingevuld zijn bij [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>].
                </assert>
         <assert test="normalize-space(@codeSpace) = $codelisturi">
                    [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]: IMGeo waardenlijst is niet gebruikt voor TypePut. Codelijst validatie wordt niet uitgevoerd voor dit veld. 
                </assert>
         <assert test="normalize-space(@codeSpace) != $codelisturi or (normalize-space(@codeSpace) = $codelisturi and normalize-space(.) = 'benzine- / olieput' or normalize-space(.) = 'boorgat' or normalize-space(.) = 'brandkraan / -put' or normalize-space(.) = 'drainageput' or normalize-space(.) = 'gasput' or normalize-space(.) = 'inspectie- / rioolput' or normalize-space(.) = 'kolk' or normalize-space(.) = 'waterleidingput')">[<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]:  waarde moet voorkomen in TypePut.</assert>
      </rule>
   </pattern>
   <pattern>
      <rule context="geostuf:object[@StUF:entiteittype='OWT']/geostuf:class">
         <let name="codelisturi"
              value="'http://www.geostandaarden.nl/imgeo/2.0#TypeOndersteunendWaterdeel'"/>
         <assert test="normalize-space(@codeSpace)">
                    codeSpace attribuut moet ingevuld zijn bij [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>].
                </assert>
         <assert test="normalize-space(@codeSpace) = $codelisturi">
                    [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]: IMGeo waardenlijst is niet gebruikt voor TypeOndersteunendWaterdeel. Codelijst validatie wordt niet uitgevoerd voor dit veld. 
                </assert>
         <assert test="normalize-space(@codeSpace) != $codelisturi or (normalize-space(@codeSpace) = $codelisturi and normalize-space(.) = 'oever, slootkant' or normalize-space(.) = 'slik' or normalize-space(.) = 'transitie')">[<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]:  waarde moet voorkomen in TypeOndersteunendWaterdeel.</assert>
      </rule>
   </pattern>
   <pattern>
      <rule context="geostuf:object[@StUF:entiteittype='BAK']/geostuf:function">
         <let name="codelisturi" value="'http://www.geostandaarden.nl/imgeo/2.0#TypeBak'"/>
         <assert test="normalize-space(@codeSpace)">
                    codeSpace attribuut moet ingevuld zijn bij [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>].
                </assert>
         <assert test="normalize-space(@codeSpace) = $codelisturi">
                    [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]: IMGeo waardenlijst is niet gebruikt voor TypeBak. Codelijst validatie wordt niet uitgevoerd voor dit veld. 
                </assert>
         <assert test="normalize-space(@codeSpace) != $codelisturi or (normalize-space(@codeSpace) = $codelisturi and normalize-space(.) = 'afval apart plaats' or normalize-space(.) = 'afvalbak' or normalize-space(.) = 'drinkbak' or normalize-space(.) = 'bloembak' or normalize-space(.) = 'zand- / zoutbak' or normalize-space(.) = 'container')">[<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]:  waarde moet voorkomen in TypeBak.</assert>
      </rule>
   </pattern>
   <pattern>
      <rule context="geostuf:object[@StUF:entiteittype='WTI']/geostuf:function">
         <let name="codelisturi"
              value="'http://www.geostandaarden.nl/imgeo/2.0#TypeWaterinrichting'"/>
         <assert test="normalize-space(@codeSpace)">
                    codeSpace attribuut moet ingevuld zijn bij [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>].
                </assert>
         <assert test="normalize-space(@codeSpace) = $codelisturi">
                    [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]: IMGeo waardenlijst is niet gebruikt voor TypeWaterinrichting. Codelijst validatie wordt niet uitgevoerd voor dit veld. 
                </assert>
         <assert test="normalize-space(@codeSpace) != $codelisturi or (normalize-space(@codeSpace) = $codelisturi and normalize-space(.) = 'remmingswerk' or normalize-space(.) = 'betonning' or normalize-space(.) = 'geleidewerk' or normalize-space(.) = 'vuilvang' or normalize-space(.) = 'meerpaal' or normalize-space(.) = 'hoogtemerk')">[<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]:  waarde moet voorkomen in TypeWaterinrichting.</assert>
      </rule>
   </pattern>
   <pattern>
      <rule context="geostuf:object[@StUF:entiteittype='WGI']/geostuf:function">
         <let name="codelisturi"
              value="'http://www.geostandaarden.nl/imgeo/2.0#TypeWeginrichting'"/>
         <assert test="normalize-space(@codeSpace)">
                    codeSpace attribuut moet ingevuld zijn bij [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>].
                </assert>
         <assert test="normalize-space(@codeSpace) = $codelisturi">
                    [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]: IMGeo waardenlijst is niet gebruikt voor TypeWeginrichting. Codelijst validatie wordt niet uitgevoerd voor dit veld. 
                </assert>
         <assert test="normalize-space(@codeSpace) != $codelisturi or (normalize-space(@codeSpace) = $codelisturi and normalize-space(.) = 'molgoot' or normalize-space(.) = 'lijnafwatering' or normalize-space(.) = 'wegmarkering' or normalize-space(.) = 'wildrooster' or normalize-space(.) = 'rooster' or normalize-space(.) = 'geleideconstructie' or normalize-space(.) = 'balustrade' or normalize-space(.) = 'boomspiegel' or normalize-space(.) = 'verblindingswering')">[<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]:  waarde moet voorkomen in TypeWeginrichting.</assert>
      </rule>
   </pattern>
   <pattern>
      <rule context="geostuf:object[@StUF:entiteittype='STM']/geostuf:function">
         <let name="codelisturi"
              value="'http://www.geostandaarden.nl/imgeo/2.0#TypeStraatmeubilair'"/>
         <assert test="normalize-space(@codeSpace)">
                    codeSpace attribuut moet ingevuld zijn bij [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>].
                </assert>
         <assert test="normalize-space(@codeSpace) = $codelisturi">
                    [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]: IMGeo waardenlijst is niet gebruikt voor TypeStraatmeubilair. Codelijst validatie wordt niet uitgevoerd voor dit veld. 
                </assert>
         <assert test="normalize-space(@codeSpace) != $codelisturi or (normalize-space(@codeSpace) = $codelisturi and normalize-space(.) = 'abri' or normalize-space(.) = 'bolder' or normalize-space(.) = 'brievenbus' or normalize-space(.) = 'fietsenrek' or normalize-space(.) = 'kunstobject' or normalize-space(.) = 'openbaar toilet' or normalize-space(.) = 'slagboom' or normalize-space(.) = 'speelvoorziening' or normalize-space(.) = 'telefooncel' or normalize-space(.) = 'bank' or normalize-space(.) = 'picknicktafel' or normalize-space(.) = 'fontein' or normalize-space(.) = 'lichtpunt' or normalize-space(.) = 'parkeerbeugel' or normalize-space(.) = 'betaalautomaat' or normalize-space(.) = 'reclamezuil' or normalize-space(.) = 'fietsenkluis' or normalize-space(.) = 'herdenkingsmonument')">[<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]:  waarde moet voorkomen in TypeStraatmeubilair.</assert>
      </rule>
   </pattern>
   <pattern>
      <rule context="geostuf:object[@StUF:entiteittype='OBW']/geostuf:type">
         <let name="codelisturi"
              value="'http://www.geostandaarden.nl/imgeo/2.0#TypeOverigBouwwerk'"/>
         <assert test="normalize-space(@codeSpace)">
                    codeSpace attribuut moet ingevuld zijn bij [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>].
                </assert>
         <assert test="normalize-space(@codeSpace) = $codelisturi">
                    [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]: IMGeo waardenlijst is niet gebruikt voor TypeOverigBouwwerk. Codelijst validatie wordt niet uitgevoerd voor dit veld. 
                </assert>
         <assert test="normalize-space(@codeSpace) != $codelisturi or (normalize-space(@codeSpace) = $codelisturi and normalize-space(.) = 'overkapping' or normalize-space(.) = 'open loods' or normalize-space(.) = 'opslagtank' or normalize-space(.) = 'bezinkbak' or normalize-space(.) = 'windturbine' or normalize-space(.) = 'lage trafo' or normalize-space(.) = 'bassin' or normalize-space(.) = 'bunker' or normalize-space(.) = 'transitie')">[<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]:  waarde moet voorkomen in TypeOverigBouwwerk.</assert>
      </rule>
   </pattern>
   <pattern>
      <rule context="geostuf:object[@StUF:entiteittype='BRD']/geostuf:function">
         <let name="codelisturi" value="'http://www.geostandaarden.nl/imgeo/2.0#TypeBord'"/>
         <assert test="normalize-space(@codeSpace)">
                    codeSpace attribuut moet ingevuld zijn bij [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>].
                </assert>
         <assert test="normalize-space(@codeSpace) = $codelisturi">
                    [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]: IMGeo waardenlijst is niet gebruikt voor TypeBord. Codelijst validatie wordt niet uitgevoerd voor dit veld. 
                </assert>
         <assert test="normalize-space(@codeSpace) != $codelisturi or (normalize-space(@codeSpace) = $codelisturi and normalize-space(.) = 'informatiebord' or normalize-space(.) = 'plaatsnaambord' or normalize-space(.) = 'straatnaambord' or normalize-space(.) = 'verkeersbord' or normalize-space(.) = 'scheepvaartbord' or normalize-space(.) = 'verklikker transportleiding' or normalize-space(.) = 'reclamebord' or normalize-space(.) = 'wegwijzer' or normalize-space(.) = 'waarschuwingshek' or normalize-space(.) = 'dynamische snelheidsindicator')">[<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]:  waarde moet voorkomen in TypeBord.</assert>
      </rule>
   </pattern>
   <pattern>
      <rule context="geostuf:object[@StUF:entiteittype='KWD']/geostuf:type">
         <let name="codelisturi"
              value="'http://www.geostandaarden.nl/imgeo/2.0#TypeKunstwerk'"/>
         <assert test="normalize-space(@codeSpace)">
                    codeSpace attribuut moet ingevuld zijn bij [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>].
                </assert>
         <assert test="normalize-space(@codeSpace) = $codelisturi">
                    [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]: IMGeo waardenlijst is niet gebruikt voor TypeKunstwerk. Codelijst validatie wordt niet uitgevoerd voor dit veld. 
                </assert>
         <assert test="normalize-space(@codeSpace) != $codelisturi or (normalize-space(@codeSpace) = $codelisturi and normalize-space(.) = 'hoogspanningsmast' or normalize-space(.) = 'gemaal' or normalize-space(.) = 'perron' or normalize-space(.) = 'sluis' or normalize-space(.) = 'strekdam' or normalize-space(.) = 'steiger' or normalize-space(.) = 'stuw' or normalize-space(.) = 'keermuur' or normalize-space(.) = 'overkluizing' or normalize-space(.) = 'duiker' or normalize-space(.) = 'faunavoorziening' or normalize-space(.) = 'vispassage' or normalize-space(.) = 'bodemval' or normalize-space(.) = 'coupure' or normalize-space(.) = 'ponton' or normalize-space(.) = 'voorde' or normalize-space(.) = 'transitie')">[<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]:  waarde moet voorkomen in TypeKunstwerk.</assert>
      </rule>
   </pattern>
   <pattern>
      <rule context="geostuf:object[@StUF:entiteittype='INS']/geostuf:function">
         <let name="codelisturi"
              value="'http://www.geostandaarden.nl/imgeo/2.0#TypeInstallatie'"/>
         <assert test="normalize-space(@codeSpace)">
                    codeSpace attribuut moet ingevuld zijn bij [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>].
                </assert>
         <assert test="normalize-space(@codeSpace) = $codelisturi">
                    [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]: IMGeo waardenlijst is niet gebruikt voor TypeInstallatie. Codelijst validatie wordt niet uitgevoerd voor dit veld. 
                </assert>
         <assert test="normalize-space(@codeSpace) != $codelisturi or (normalize-space(@codeSpace) = $codelisturi and normalize-space(.) = 'pomp' or normalize-space(.) = 'zonnepaneel')">[<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]:  waarde moet voorkomen in TypeInstallatie.</assert>
      </rule>
   </pattern>
   <pattern>
      <rule context="*/geostuf:status">
         <let name="codelisturi" value="'http://www.geostandaarden.nl/imgeo/2.0#Status'"/>
         <assert test="normalize-space(@codeSpace)">
                    codeSpace attribuut moet ingevuld zijn bij [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>].
                </assert>
         <assert test="normalize-space(@codeSpace) = $codelisturi">
                    [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]: IMGeo waardenlijst is niet gebruikt voor Status. Codelijst validatie wordt niet uitgevoerd voor dit veld. 
                </assert>
         <assert test="normalize-space(@codeSpace) != $codelisturi or (normalize-space(@codeSpace) = $codelisturi and normalize-space(.) = 'plan' or normalize-space(.) = 'bestaand' or normalize-space(.) = 'historie')">[<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]:  waarde moet voorkomen in Status.</assert>
      </rule>
   </pattern>
   <pattern>
      <rule context="geostuf:object[@StUF:entiteittype='MST']/geostuf:function">
         <let name="codelisturi" value="'http://www.geostandaarden.nl/imgeo/2.0#TypeMast'"/>
         <assert test="normalize-space(@codeSpace)">
                    codeSpace attribuut moet ingevuld zijn bij [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>].
                </assert>
         <assert test="normalize-space(@codeSpace) = $codelisturi">
                    [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]: IMGeo waardenlijst is niet gebruikt voor TypeMast. Codelijst validatie wordt niet uitgevoerd voor dit veld. 
                </assert>
         <assert test="normalize-space(@codeSpace) != $codelisturi or (normalize-space(@codeSpace) = $codelisturi and normalize-space(.) = 'bovenleidingmast' or normalize-space(.) = 'laagspanningsmast' or normalize-space(.) = 'straalzender' or normalize-space(.) = 'zendmast' or normalize-space(.) = 'radarmast')">[<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]:  waarde moet voorkomen in TypeMast.</assert>
      </rule>
   </pattern>
   <pattern>
      <rule context="geostuf:object[@StUF:entiteittype='KST']/geostuf:function">
         <let name="codelisturi" value="'http://www.geostandaarden.nl/imgeo/2.0#TypeKast'"/>
         <assert test="normalize-space(@codeSpace)">
                    codeSpace attribuut moet ingevuld zijn bij [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>].
                </assert>
         <assert test="normalize-space(@codeSpace) = $codelisturi">
                    [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]: IMGeo waardenlijst is niet gebruikt voor TypeKast. Codelijst validatie wordt niet uitgevoerd voor dit veld. 
                </assert>
         <assert test="normalize-space(@codeSpace) != $codelisturi or (normalize-space(@codeSpace) = $codelisturi and normalize-space(.) = 'CAI-kast' or normalize-space(.) = 'elektrakast' or normalize-space(.) = 'gaskast' or normalize-space(.) = 'telecom kast' or normalize-space(.) = 'rioolkast' or normalize-space(.) = 'openbare verlichtingkast' or normalize-space(.) = 'verkeersregelinstallatiekast' or normalize-space(.) = 'telkast' or normalize-space(.) = 'GMS kast')">[<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]:  waarde moet voorkomen in TypeKast.</assert>
      </rule>
   </pattern>
   <pattern>
      <rule context="geostuf:object[@StUF:entiteittype='ORL']/geostuf:openbareRuimteType">
         <let name="codelisturi"
              value="'http://www.geostandaarden.nl/imgeo/2.0#TypeOpenbareRuimte'"/>
         <assert test="normalize-space(@codeSpace)">
                    codeSpace attribuut moet ingevuld zijn bij [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>].
                </assert>
         <assert test="normalize-space(@codeSpace) = $codelisturi">
                    [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]: IMGeo waardenlijst is niet gebruikt voor TypeOpenbareRuimte. Codelijst validatie wordt niet uitgevoerd voor dit veld. 
                </assert>
         <assert test="normalize-space(@codeSpace) != $codelisturi or (normalize-space(@codeSpace) = $codelisturi and normalize-space(.) = 'Weg' or normalize-space(.) = 'Water' or normalize-space(.) = 'Spoorbaan' or normalize-space(.) = 'Terrein' or normalize-space(.) = 'Kunstwerk' or normalize-space(.) = 'Landschappelijk gebied' or normalize-space(.) = 'Administratief gebied')">[<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]:  waarde moet voorkomen in TypeOpenbareRuimte.</assert>
      </rule>
   </pattern>
   <pattern>
      <rule context="geostuf:object[@StUF:entiteittype='WGD' or @StUF:entiteittype='WGV']/geostuf:surfaceMaterial">
         <let name="codelisturi"
              value="'http://www.geostandaarden.nl/imgeo/2.0#FysiekVoorkomenWeg'"/>
         <assert test="normalize-space(@codeSpace)">
                    codeSpace attribuut moet ingevuld zijn bij [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>].
                </assert>
         <assert test="normalize-space(@codeSpace) = $codelisturi">
                    [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]: IMGeo waardenlijst is niet gebruikt voor FysiekVoorkomenWeg. Codelijst validatie wordt niet uitgevoerd voor dit veld. 
                </assert>
         <assert test="normalize-space(@codeSpace) != $codelisturi or (normalize-space(@codeSpace) = $codelisturi and normalize-space(.) = 'gesloten verharding' or normalize-space(.) = 'gesloten verharding: asfalt' or normalize-space(.) = 'gesloten verharding: cementbeton' or normalize-space(.) = 'open verharding' or normalize-space(.) = 'open verharding: betonstraatstenen' or normalize-space(.) = 'half verhard' or normalize-space(.) = 'open verharding: gebakken klinkers' or normalize-space(.) = 'onverhard' or normalize-space(.) = 'open verharding: tegels' or normalize-space(.) = 'open verharding: sierbestrating' or normalize-space(.) = 'half verhard: grasverharding' or normalize-space(.) = 'half verhard: schelpen' or normalize-space(.) = 'half verhard: puin' or normalize-space(.) = 'half verhard: grind' or normalize-space(.) = 'half verhard: gravel' or normalize-space(.) = 'onverhard: boomschors' or normalize-space(.) = 'onverhard: zand' or normalize-space(.) = 'transitie')">[<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]:  waarde moet voorkomen in FysiekVoorkomenWeg.</assert>
      </rule>
   </pattern>
   <pattern>
      <rule context="geostuf:object[@StUF:entiteittype='OTD' or @StUF:entiteittype='OTV']/geostuf:fysiekVoorkomen">
         <let name="codelisturi"
              value="'http://www.geostandaarden.nl/imgeo/2.0#FysiekVoorkomenOnbegroeidTerrein'"/>
         <assert test="normalize-space(@codeSpace)">
                    codeSpace attribuut moet ingevuld zijn bij [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>].
                </assert>
         <assert test="normalize-space(@codeSpace) = $codelisturi">
                    [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]: IMGeo waardenlijst is niet gebruikt voor FysiekVoorkomenOnbegroeidTerrein. Codelijst validatie wordt niet uitgevoerd voor dit veld. 
                </assert>
         <assert test="normalize-space(@codeSpace) != $codelisturi or (normalize-space(@codeSpace) = $codelisturi and normalize-space(.) = 'zand' or normalize-space(.) = 'gesloten verharding' or normalize-space(.) = 'open verharding' or normalize-space(.) = 'half verhard' or normalize-space(.) = 'onverhard' or normalize-space(.) = 'erf' or normalize-space(.) = 'zand: strand en strandwal' or normalize-space(.) = 'zand: zandverstuiving' or normalize-space(.) = 'gesloten verharding: asfalt' or normalize-space(.) = 'gesloten verharding: cementbeton' or normalize-space(.) = 'open verharding: betonstraatstenen' or normalize-space(.) = 'open verharding: gebakken klinkers' or normalize-space(.) = 'open verharding: tegels' or normalize-space(.) = 'open verharding: sierbestrating' or normalize-space(.) = 'half verhard: grasverharding' or normalize-space(.) = 'half verhard: schelpen' or normalize-space(.) = 'half verhard: puin' or normalize-space(.) = 'transitie' or normalize-space(.) = 'half verhard: grind' or normalize-space(.) = 'half verhard: gravel' or normalize-space(.) = 'onverhard: boomschors' or normalize-space(.) = 'onverhard: zand')">[<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]:  waarde moet voorkomen in FysiekVoorkomenOnbegroeidTerrein.</assert>
      </rule>
   </pattern>
   <pattern>
      <rule context="geostuf:object[@StUF:entiteittype='VGO']/geostuf:class">
         <let name="codelisturi"
              value="'http://www.geostandaarden.nl/imgeo/2.0#TypeVegetatieObject'"/>
         <assert test="normalize-space(@codeSpace)">
                    codeSpace attribuut moet ingevuld zijn bij [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>].
                </assert>
         <assert test="normalize-space(@codeSpace) = $codelisturi">
                    [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]: IMGeo waardenlijst is niet gebruikt voor TypeVegetatieObject. Codelijst validatie wordt niet uitgevoerd voor dit veld. 
                </assert>
         <assert test="normalize-space(@codeSpace) != $codelisturi or (normalize-space(@codeSpace) = $codelisturi and normalize-space(.) = 'boom' or normalize-space(.) = 'haag')">[<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]:  waarde moet voorkomen in TypeVegetatieObject.</assert>
      </rule>
   </pattern>
   <pattern>
      <rule context="geostuf:object[@StUF:entiteittype='OWG']/geostuf:function">
         <let name="codelisturi"
              value="'http://www.geostandaarden.nl/imgeo/2.0#TypeOndersteunendWegdeel'"/>
         <assert test="normalize-space(@codeSpace)">
                    codeSpace attribuut moet ingevuld zijn bij [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>].
                </assert>
         <assert test="normalize-space(@codeSpace) = $codelisturi">
                    [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]: IMGeo waardenlijst is niet gebruikt voor TypeOndersteunendWegdeel. Codelijst validatie wordt niet uitgevoerd voor dit veld. 
                </assert>
         <assert test="normalize-space(@codeSpace) != $codelisturi or (normalize-space(@codeSpace) = $codelisturi and normalize-space(.) = 'verkeerseiland' or normalize-space(.) = 'berm verhard' or normalize-space(.) = 'berm begroeid' or normalize-space(.) = 'transitie')">[<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]:  waarde moet voorkomen in TypeOndersteunendWegdeel.</assert>
      </rule>
   </pattern>
   <pattern>
      <rule context="geostuf:object[@StUF:entiteittype='GBI']/geostuf:function">
         <let name="codelisturi"
              value="'http://www.geostandaarden.nl/imgeo/2.0#TypeGebouwInstallatie'"/>
         <assert test="normalize-space(@codeSpace)">
                    codeSpace attribuut moet ingevuld zijn bij [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>].
                </assert>
         <assert test="normalize-space(@codeSpace) = $codelisturi">
                    [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]: IMGeo waardenlijst is niet gebruikt voor TypeGebouwInstallatie. Codelijst validatie wordt niet uitgevoerd voor dit veld. 
                </assert>
         <assert test="normalize-space(@codeSpace) != $codelisturi or (normalize-space(@codeSpace) = $codelisturi and normalize-space(.) = 'bordes' or normalize-space(.) = 'luifel' or normalize-space(.) = 'toegangstrap')">[<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]:  waarde moet voorkomen in TypeGebouwInstallatie.</assert>
      </rule>
   </pattern>
   <pattern>
      <rule context="geostuf:object[@StUF:entiteittype='OBD']/geostuf:hoortBijTypeOverbrugging">
         <let name="codelisturi"
              value="'http://www.geostandaarden.nl/imgeo/2.0#TypeOverbrugging'"/>
         <assert test="normalize-space(@codeSpace)">
                    codeSpace attribuut moet ingevuld zijn bij [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>].
                </assert>
         <assert test="normalize-space(@codeSpace) = $codelisturi">
                    [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]: IMGeo waardenlijst is niet gebruikt voor TypeOverbrugging. Codelijst validatie wordt niet uitgevoerd voor dit veld. 
                </assert>
         <assert test="normalize-space(@codeSpace) != $codelisturi or (normalize-space(@codeSpace) = $codelisturi and normalize-space(.) = 'brug' or normalize-space(.) = 'aquaduct' or normalize-space(.) = 'viaduct' or normalize-space(.) = 'fly-over' or normalize-space(.) = 'ecoduct')">[<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]:  waarde moet voorkomen in TypeOverbrugging.</assert>
      </rule>
   </pattern>
   <pattern>
      <rule context="geostuf:object[@StUF:entiteittype='SHD' or @StUF:entiteittype='OSH']/geostuf:type">
         <let name="codelisturi"
              value="'http://www.geostandaarden.nl/imgeo/2.0#TypeScheiding'"/>
         <assert test="normalize-space(@codeSpace)">
                    codeSpace attribuut moet ingevuld zijn bij [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>].
                </assert>
         <assert test="normalize-space(@codeSpace) = $codelisturi">
                    [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]: IMGeo waardenlijst is niet gebruikt voor TypeScheiding. Codelijst validatie wordt niet uitgevoerd voor dit veld. 
                </assert>
         <assert test="normalize-space(@codeSpace) != $codelisturi or (normalize-space(@codeSpace) = $codelisturi and normalize-space(.) = 'muur' or normalize-space(.) = 'kademuur' or normalize-space(.) = 'geluidsscherm' or normalize-space(.) = 'damwand' or normalize-space(.) = 'walbescherming' or normalize-space(.) = 'hek' or normalize-space(.) = 'draadraster' or normalize-space(.) = 'faunaraster' or normalize-space(.) = 'transitie')">[<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]:  waarde moet voorkomen in TypeScheiding.</assert>
      </rule>
   </pattern>
   <pattern>
      <rule context="geostuf:object[@StUF:entiteittype='BTD' or @StUF:entiteittype='BTV']/geostuf:class">
         <let name="codelisturi"
              value="'http://www.geostandaarden.nl/imgeo/2.0#FysiekVoorkomenBegroeidTerrein'"/>
         <assert test="normalize-space(@codeSpace)">
                    codeSpace attribuut moet ingevuld zijn bij [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>].
                </assert>
         <assert test="normalize-space(@codeSpace) = $codelisturi">
                [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]: IMGeo waardenlijst is niet gebruikt. Codelijst validatie wordt niet uitgevoerd voor dit veld. 
                </assert>
         <assert test="normalize-space(@codeSpace) != $codelisturi or (normalize-space(@codeSpace) = $codelisturi and normalize-space(.) = 'loofbos' or normalize-space(.) = 'bouwland: akkerbouw' or normalize-space(.) = 'bouwland: braakliggend' or normalize-space(.) = 'bouwland: vollegrondsteelt' or normalize-space(.) = 'bouwland: bollenteelt' or normalize-space(.) = 'gemengd bos' or normalize-space(.) = 'groenvoorziening: bosplantsoen' or normalize-space(.) = 'naaldbos' or normalize-space(.) = 'heide' or normalize-space(.) = 'struiken' or normalize-space(.) = 'groenvoorziening: gras- en kruidachtigen' or normalize-space(.) = 'groenvoorziening: planten' or normalize-space(.) = 'houtwal' or normalize-space(.) = 'duin' or normalize-space(.) = 'moeras' or normalize-space(.) = 'rietland' or normalize-space(.) = 'kwelder' or normalize-space(.) = 'fruitteelt' or normalize-space(.) = 'groenvoorziening: struikrozen' or normalize-space(.) = 'boomteelt' or normalize-space(.) = 'groenvoorziening: heesters' or normalize-space(.) = 'groenvoorziening: bodembedekkers' or normalize-space(.) = 'bouwland' or normalize-space(.) = 'grasland agrarisch' or normalize-space(.) = 'grasland overig' or normalize-space(.) = 'groenvoorziening' or normalize-space(.) = 'transitie' or normalize-space(.) = 'fruitteelt: laagstam boomgaarden' or normalize-space(.) = 'fruitteelt: hoogstam boomgaarden' or normalize-space(.) = 'fruitteelt: wijngaarden' or normalize-space(.) = 'fruitteelt: klein fruit' or normalize-space(.) = 'loofbos: griend en hakhout' or normalize-space(.) = 'duin: open duinvegetatie' or normalize-space(.) = 'duin: gesloten duinvegetatie')">[<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]:  waarde moet voorkomen in FysiekVoorkomenBegroeidTerrein.</assert>
      </rule>
   </pattern>
   <pattern>
      <rule context="geostuf:object[@StUF:entiteittype='SPR']/geostuf:function">
         <let name="codelisturi"
              value="'http://www.geostandaarden.nl/imgeo/2.0#FunctieSpoor'"/>
         <assert test="normalize-space(@codeSpace)">
                    codeSpace attribuut moet ingevuld zijn bij [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>].
                </assert>
         <assert test="normalize-space(@codeSpace) = $codelisturi">
                    [<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]: IMGeo waardenlijst is niet gebruikt voor FunctieSpoor. Codelijst validatie wordt niet uitgevoerd voor dit veld. 
                </assert>
         <assert test="normalize-space(@codeSpace) != $codelisturi or (normalize-space(@codeSpace) = $codelisturi and normalize-space(.) = 'trein' or normalize-space(.) = 'sneltram' or normalize-space(.) = 'tram' or normalize-space(.) = '(haven)kraan' or normalize-space(.) = 'transitie')">[<value-of select="name(.)"/>] bij object met lokaalid [<value-of select="../geostuf:identificatie/geostuf:lokaalID"/>]:  waarde moet voorkomen in FunctieSpoor.</assert>
      </rule>
   </pattern>
</schema>