<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" schemaVersion="2">
    <ns uri="http://www.geostandaarden.nl/imgeo/2.0/stuf-imgeo" prefix="geostuf"/>
    <ns uri="http://www.egem.nl/StUF/StUF0301" prefix="StUF"/>
    <ns uri="http://www.opengis.net/gml" prefix="gml"/>
    <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
    
    <pattern>
        <rule context="*[@xsi:nil='true']">
            <!-- a3 -->
            <assert test="normalize-space(@StUF:noValue)">
                als xsi:nil de waarde ‘true’ heeft moet StUF:noValue zijn ingevuld
            </assert>
        </rule>
        <rule context="geostuf:object[@StUF:entiteittype='WGD']">            
            <!--  wgd5  -->
            <assert test="((geostuf:wegdeelOpTalud='1' or geostuf:wegdeelOpTalud='true') and geostuf:kruinlijnWegdeel/*)
                or ((geostuf:wegdeelOpTalud='0' or geostuf:wegdeelOpTalud='false') and not(geostuf:kruinlijnWegdeel/*))">
                Als wegdeelOpTalud de waarde true heeft, moet kruinlijnWegdeel gevuld zijn 
                en als kruinlijnWegdeel gevuld is, moet wegdeelOpTalud de waarde true hebben.</assert>
        </rule>
        
        <rule context="geostuf:object[@StUF:entiteittype='OWG']">            
            <!--  owg3  -->
            <assert test="((geostuf:ondersteunendWegdeelOpTalud='1' or geostuf:ondersteunendWegdeelOpTalud='true') and geostuf:kruinlijnOndersteunendWegdeel/*)
                or ((geostuf:ondersteunendWegdeelOpTalud='0' or geostuf:ondersteunendWegdeelOpTalud='false') and not(geostuf:kruinlijnOndersteunendWegdeel/*))">
                Als ondersteunendWegdeelOpTalud de waarde true heeft, moet kruinlijnOndersteunendWegdeel gevuld zijn 
                en als kruinlijnOndersteunendWegdeel gevuld is, moet ondersteunendWegdeelOpTalud de waarde true hebben.</assert>
        </rule>
        
        <rule context="geostuf:object[@StUF:entiteittype='OTD']">            
            <!--  otd2  -->
            <assert test="((geostuf:onbegroeidTerreindeelOpTalud='1' or geostuf:onbegroeidTerreindeelOpTalud='true') and geostuf:kruinlijnOnbegroeidTerreindeel/*)
                or ((geostuf:onbegroeidTerreindeelOpTalud='0' or geostuf:onbegroeidTerreindeelOpTalud='false') and not(geostuf:kruinlijnOnbegroeidTerreindeel/*))">
                Als onbegroeidTerreindeelOpTalud de waarde true heeft, moet kruinlijnOnbegroeidTerreindeel gevuld zijn 
                en als kruinlijnOnbegroeidTerreindeel gevuld is, moet onbegroeidTerreindeelOpTalud de waarde true hebben.</assert>
        </rule>
        
        <rule context="geostuf:object[@StUF:entiteittype='BTD']">            
            <!--  btd3  -->
            <assert test="((geostuf:begroeidTerreindeelOpTalud='1' or geostuf:begroeidTerreindeelOpTalud='true') and geostuf:kruinlijnBegroeidTerreindeel/*)
                or ((geostuf:begroeidTerreindeelOpTalud='0' or geostuf:begroeidTerreindeelOpTalud='false') and not(geostuf:kruinlijnBegroeidTerreindeel/*))">
                Als begroeidTerreindeelOpTalud de waarde true heeft, moet kruinlijnBegroeidTerreindeel gevuld zijn 
                en als kruinlijnBegroeidTerreindeel gevuld is, moet begroeidTerreindeelOpTalud de waarde true hebben.</assert>
        </rule>
        
        <rule context="geostuf:object[@StUF:entiteittype='OBW']">
            <!-- obw1 -->
            <assert test="geostuf:geometrie2dOverigeConstructie/gml:Polygon
                or geostuf:geometrie2dOverigeConstructie/gml:Surface
                or geostuf:geometrie2dOverigeConstructie/gml:MultiSurface">
                geometrie2dOverigeConstructie moet een vlakgeometrie of mutlivlakgeometrie bevatten</assert>
        </rule>
        
        <rule context="geostuf:object[@StUF:entiteittype='KWD' or @StUF:entiteittype='SHD' or @StUF:entiteittype='OSH']">
            <!-- kwd1, shd1, osh -->
            <assert test="geostuf:geometrie2dOverigeConstructie/geostuf:vlak/gml:Polygon
                or geostuf:geometrie2dOverigeConstructie/geostuf:vlak/gml:Surface
                or geostuf:geometrie2dOverigeConstructie/geostuf:lijn/gml:LineString
                or geostuf:geometrie2dOverigeConstructie/geostuf:lijn/gml:Curve
                or geostuf:geometrie2dOverigeConstructie/geostuf:lijn/gml:Arc">
                geometrie2dOverigeConstructie moet een vlakgeometrie of lijngeometrie bevatten
            </assert>
        </rule>
        
        <rule context="geostuf:object[@StUF:entiteittype='SNS']">
            <!-- sns2 -->
            <assert test="geostuf:geometrie2dSensor/gml:Point
                or geostuf:geometrie2dSensor/gml:LineString
                or geostuf:geometrie2dSensor/gml:Curve
                or geostuf:geometrie2dSensor/gml:Arc">
                geometrie2dSensor moet een puntgeometrie of lijngeometrie bevatten
            </assert>
        </rule>
        
        <rule context="geostuf:object[@StUF:entiteittype='WTI']">
            <!-- wti2 -->
            <assert test="geostuf:geometrie2dWaterinrichtingselement/gml:Point
                or geostuf:geometrie2dWaterinrichtingselement/gml:LineString
                or geostuf:geometrie2dWaterinrichtingselement/gml:Curve
                or geostuf:geometrie2dWaterinrichtingselement/gml:Arc">
                geometrie2dWaterinrichtingselement moet een puntgeometrie of lijngeometrie bevatten
            </assert>
        </rule>
                
        <rule context="geostuf:object[@StUF:entiteittype='WGI']">
            <!-- wgi2 -->
            <assert test="geostuf:geometrie2dWeginrichtingselement/gml:Point
                or geostuf:geometrie2dWeginrichtingselement/gml:LineString
                or geostuf:geometrie2dWeginrichtingselement/gml:Curve
                or geostuf:geometrie2dWeginrichtingselement/gml:Arc
                or geostuf:geometrie2dWeginrichtingselement/gml:Surface
                or geostuf:geometrie2dWeginrichtingselement/gml:Polygon">
                geometrie2dWeginrichtingselement moet een puntgeometrie, lijngeometrie of vlakgeometrie bevatten
            </assert>
        </rule>
                
        <rule context="geostuf:object[@StUF:entiteittype='VGO']">
            <!-- vgo2 -->
            <assert test="geostuf:geometrie2dVegetatieObject/gml:LineString
                or geostuf:geometrie2dVegetatieObject/gml:Curve
                or geostuf:geometrie2dVegetatieObject/gml:Arc
                or geostuf:geometrie2dVegetatieObject/gml:Surface
                or geostuf:geometrie2dVegetatieObject/gml:Polygon">
                geometrie2d VegetatieObject moet een lijngeometrie of vlakgeometrie bevatten
            </assert>
        </rule>
    </pattern>
</schema>